require_relative 'test_helper'

module GrowViral
  module Keystore
    class AccountTest < Minitest::Test
      def test_initializes_corectly
        uid = 1231212
        handle = "foobar"
        token = "asdasda"
        secret = "2349966adasds"

        data = {
          "uid" => uid,
          "handle" => handle,
          "token" => token,
          "secret" => secret
        }

        account = Account.new(data)
        assert_equal uid, account.uid
        assert_equal handle, account.handle
        assert_equal token, account.token
        assert_equal secret, account.secret
      end
    end
  end
end
